[blfs-dev] Ruby and TK

Fernando de Oliveira famobr at yahoo.com.br
Thu Dec 26 06:52:43 PST 2013


Em 26-12-2013 09:57, Fernando de Oliveira escreveu:
> I updated the book yesterday to ruby-2.1.0.
> 
> Today, studying scanelf, suggested by Igor (thanks!), I discovered that
> the new versions of
> 
> /usr/lib/ruby/2.0.0/i686-linux/tcltklib.so
> /usr/lib/ruby/2.0.0/i686-linux/tkutil.so
> 
> were not installed nor compiled. This is somewhat expected, and there
> are instructions under
> 
> ruby-2.1.0/ext/tk
> 
> on how to proceed if tk is not found. However, many are the possibilities.
> 
> Does anyone have a simple solution and simple way to include some
> comments in ruby's page to correct this?
> 
> How important is the issue?
> 

Sorry, missed an obvious message:

{{{
/home/fernando/Downloads/blfs/ruby-2.1.0-2013.12.25-20h03m57s.log.xz:At
present, Tcl/Tk8.6 is not supported. Although you can try to use
Tcl/Tk8.6 with configure options, it will not work correctly. I
recommend you to use Tcl/Tk8.5 or 8.4.
/home/fernando/Downloads/blfs/ruby-2.1.0-simulation-2013.12.25-18h11m24s.log.xz:At
present, Tcl/Tk8.6 is not supported. Although you can try to use
Tcl/Tk8.6 with configure options, it will not work correctly. I
recommend you to use Tcl/Tk8.5 or 8.4.
}}}

(sensation de déjà vu).

-- 
[]s,
Fernando



More information about the blfs-dev mailing list